# Datenaufbereitung LVE

Die SWE Datenaufbereitung LVE dient der Aufbereitung von messwertersetzten Kurzzeitdaten.

Sie ermittelt folgende Kenngrößen:

  - Analysewerte (je Fahrstreifen und je Messquerschnitt), siehe [AFo] S. 115f.
  - Prognosewerte (je Fahrstreifen und je Messquerschnitt), siehe [AFo] S. 134f.

Weiterhin wird hier die lokale Störfallerkennung bzw. die Ermittlung der Verkehrslagen wie folgt
durchgeführt:

  - Ermittlung spurbezogener Verkehrslagen (Störfallzustände), siehe [Afo] S. 151f.
  - Nach Verfahren I (MARZ)
  - Nach Verfahren II (NRW Verkehrslage)
  - Ermittlung querschnittsorientierter Verkehrslagen (Störfallzustände), siehe [Afo] S. 154f.
  - Nach Verfahren I (MARZ)
  - Nach Verfahren II (NRW Verkehrslage)
  - Nach Verfahren III (NRW Verkehrslage für RDS-Meldungen)
  - Nach Verfahren IV (Fundamentaldiagramm)

Sämtliche hier produzierten Daten werden unter den vorgesehenen Standardaspekten publiziert.

## Abhängigkeiten

```mermaid
graph TD;
dalve["dalve (2.1.0)"]-->guete["guete (2.1.0)"];
guete["guete (2.1.0)"]-->funclib.bitctrl.dua["funclib.bitctrl.dua (2.0.0)"];
```

## Disclaimer

Segment 4 Datenübernahme und Aufbereitung (DUA), SWE 4.7 Datenaufbereitung LVE
Copyright (C) 2007 BitCtrl Systems GmbH

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51
Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


## Kontakt

BitCtrl Systems GmbH
Weißenfelser Straße 67
04229 Leipzig
Phone: +49 341-490670
mailto: info@bitctrl.de
